# https://pypi.python.org/packages/ab/76/36ab0e099e6bd27ed95b70c2c86c326d3affa59b9b535c63a2f892ac9f45/pyasn1-modules-0.2.1.tar.gz
%global module pyasn1-modules

Name:           python-%{module}
Version:        0.2.1
Release:        %mkrel 2
Summary:        Collection of protocols modules written in ASN.1 language

License:        BSD
Group:          Development/Python
Url:            http://pyasn1.sf.net/
Source:         %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-pyasn1
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pyasn1
BuildRequires:  python3-setuptools

Requires:       python-pyasn1
Requires:       python-pyopenssl

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        Collection of protocols modules written in ASN.1 language
Group:          Development/Python
Requires:       python3-pyasn1
Requires:       python3-pyopenssl

%description -n python3-pyasn1-modules
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc CHANGES.txt LICENSE.txt README.md
%{python_sitelib}/*

%files -n python3-%{module}
%doc CHANGES.txt LICENSE.txt README.md
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.2.1-2pclos2022
- rebuild against updates

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 0.2.1-1pclos2018
- update

* Fri Mar 04 2016 bb <bb> 0.0.7-2pclos2016
- rebuild

* Sun Sep 13 2015 bb <bb> 0.0.7-1pclos2015
- import into pclos
